PHP Manual
Prev |  | Next

# HaruImage::setColorMask

(no version information, might be only in CVS)

HaruImage::setColorMask -- Set the color mask of the image

## Description

bool HaruImage::setColorMask ( int rmin, int rmax, int gmin, int gmax, int bmin, int bmax )

Defines the transparent color of the image using the RGB range values. The color within the range is displayed as a transparent color. The color space of the image must be RGB.

## Parameters

`rmin`

  The lower limit of red. Must be between 0 and 255.

`rmax`

  The upper limit of red. Must be between 0 and 255.

`gmin`

  The lower limit of green. Must be between 0 and 255.

`gmax`

  The upper limit of green. Must be between 0 and 255.

`bmin`

  The lower limit of blue. Must be between 0 and 255.

`bmax`

  The upper limit of blue. Must be between 0 and 255.

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

Prev | Home | Next
HaruImage::getWidth | Up | HaruImage::setMaskImage